HomeDocumentation and GuidesAPI Reference
API Reference

Submit a creative

This endpoint allows buyers from external DSPs to submit creatives for approval.

The creative submission process is designed to minimize response times and occurs in the background.
Buyers can specify the creative's files using either the media_files field or the adm field, which accepts VAST or raw HTML content.
Upon submission, a message is returned to indicate that the creative and its files are being processed.

The query string parameters publisher_id and deal_id are mutually exclusive, with publisher_id taking precedence over deal_id.
If publisher_id is provided, the creative will be sent to the specific publisher for approval.
If deal_id is provided, the creative will be sent to the owner of the deal for approval.
If the deal_id corresponds to a curated deal, the creative will be sent to all publishers associated with the curated deal.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

A JSON payload containing the fields required to submit a creative.

string
required

The unique identifier for the creative per publisher. This ID corresponds to the crid field sent in a bid response.

string
required
string

The ID of the publisher that will review the creative. The IDs of our different publishers can be found in our sellers.json file.

string

The ID of the deal that will be used as submission source of the creative.
Ignored if publisher_id is included in the request.

If deal_id is a publisher deal, the creative's media files will be sent to the owner of the deal for approval.
If deal_id is a curated deal, the creative's media files will be sent to all publishers owning a deal as a member of the given curated deal.

string
required

The domain used by the adverstiser of the creative, this is not a full url.

media_files
array of objects
media_files
string

Contains the ad markup in VAST (Video Ad Serving Template) or HTML format. This example shows a VAST XML structure, which includes details such as impression and error URLs, creative information, and media file links.

Supported Formats: Currently, we support VAST and HTML formats.

languages
array of strings

A list of language codes associated with the creative.

For a complete list of available language codes, you can query our endpoint for languages. Refer to the Inventory > Languages section for more details.

languages
iab_categories
array of strings

A list of IAB categories associated with the creative, based on the IAB Content Taxonomy v1.0. For a complete list of available IAB categories, you can refer to this IAB official list.

iab_categories
Responses
202

Confirmation that the creative has been successfully queued for processing. The creative is still being processed and has not yet been fully created.

Language
Credentials
LoadingLoading…
Response
Choose an example:
*/*